#!/bin/sh
SCRIPT_DIR="$(dirname "$0")"
JET_HOME="$(cd "$SCRIPT_DIR/" >/dev/null; pwd)"

if [ $JAVA_HOME ]; then
    JAVA=$JAVA_HOME/bin/java
else
    echo "JAVA_HOME environment variable not available."
    JAVA=`which java 2>/dev/null`
fi

if [ -z $JAVA ]; then
    echo "Java could not be found in your system."
    exit 1
fi

$JAVA $JAVA_OPTS -jar "$JET_HOME"/hazelcast-jet-management-center-4.3.1.jar "$@"
